<div class="container">
  <% unless notice.nil? %>
    <div id="notice">
      <div class="ui message icon">
        <i class="close icon"></i>
        <i class="info circle icon"></i>
        <div class="content">
          <%= notice %>
        </div>
      </div>
    </div>
  <% end %>
  <% unless @people.empty? %>
    <table class="ui table unstackable --responsive">
      <thead>
        <tr>
          <th class="center aligned"><%= t 'no_label' %></td>
          <th class="center aligned"><%= t 'person.person_id_label' %></td>
          <th class="center aligned"><%= t 'person.first_name_label' %> - <%= t 'person.last_name_label' %></td>
          <th class="center aligned"><%= t 'person_health_survey.datesurvey_label' %></th>
          <th class="center aligned"><%= t 'person_health_survey.u_date' %></th>
          <th colspan="3" class="center aligned"><%= t :actions_label %></th>
        </tr>
      </thead>
      <tbody>
        <% @people.each_with_index do |person, index| %>
          <tr>
            <td class="center aligned" data-label="<%= t 'no_label' %>"><%= no(@people) + index %></td>
            <td data-label="<%= t 'person.person_id_label' %>"><%= person.person_id %></td>
            <td data-label="<%= t 'person.person_id_label' %>"><%= person.first_name %> <%= person.last_name %></td>
            <td class="center aligned" data-label="<%= t 'person_health_survey.datesurvey_label' %>"><%= date_format(person.datesurvey) %></td>
            <td class="center aligned" data-label="<%= t 'person_health_survey.u_date' %>"><%= date_time_format(person.u_date) %></td>
            <td class="action --center">
              <%= link_to t('person_health_survey.title_label'), community_survey_house_family_folder_person_person_health_surveys_path(@community_survey, @house, @family_folder, person) %>
              <%= link_to t('home_visit.title_label'), community_survey_house_family_folder_person_home_visits_path(@community_survey, @house, @family_folder, person) %>
              <%= link_to [@community_survey, @house, @family_folder, person], data: { tooltip: t('info_label'), position: "bottom left" }, class: "ui button --circle --submit" do %>
                <i class="info icon"></i>
              <% end %>
              <%= link_to edit_community_survey_house_family_folder_person_path(@community_survey, @house, @family_folder, person),
                data: { tooltip: t('edit_label'), position: "bottom left" },
                class: "ui button --circle --submit" do %>
                <i class="ico-edit"></i>
              <% end %>
              <%= link_to  community_survey_house_family_folder_person_path(@community_survey, @house, @family_folder, person), method: :delete, 
                data: { confirm: t(:confirm_delete_label), tooltip: t('destroy_label'), position: "bottom right" }, class: "ui button --circle --submit" do %>
                <i class="ico-bin"></i>
              <% end %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>
    
    <div class="pagination">
      <%= paginate @people %>
    </div>
  <% else %>
    <div class="container__no-content">
      <div>
        <div class="container__no-content --icon">
          <i class="file outline icon"></i>
        </div>
        <div class="container__no-content --text"><%= t('person.title_label_not_found') %></div>
        <div class="container__no-content --button">
          <%= link_to new_community_survey_house_family_folder_person_path(@community_survey, @house, @family_folder), 
                      class: "ui button --icon-only" do %>
            <%= t 'person.add_label' %>
          <% end %>
        </div>
      </div>
    </div>
  <% end %>
</div>

<% content_for :menu_content_title do %>
  <div class="menuFilter-contentLeft__button">
    <button id="toggle_breadcrumb" class="ui button active --toggle">
      <i id="toggle_breadcrumb_icon" class="ellipsis vertical icon"></i>
    </button>
  </div>
  <div class="ui breadcrumb">
    <% if params[:person_id].present? %>
      <%= link_to community_surveys_path(vid: params[:community_survey_id], value: params[:value]), class: 'section' do %>
        <div class="breadcrumb__label"><%= t('community_survey.title_label') %></div>
        <div class="breadcrumb__content">(<%= @community_survey.vname %>)</div>
      <% end %>
      <i class="right angle icon divider"></i>
      <%= link_to t('house.title_label'),
        community_survey_houses_path(params[:community_survey_id], hid: params[:house_id], value: params[:value]),
        class: 'section'
      %>
      <i class="right angle icon divider"></i>
      <%= link_to t('family_folder.title_label'), 
        community_survey_house_family_folders_path(@community_survey, @house, family_folder_id: params[:family_folder_id], value: params[:value]),
        class: 'section'
      %>
      <i class="right angle icon divider"></i>
      <div class="active section"><%= t 'person.title_label' %></div>

      <% content_for :clear_search do %>
        <%= link_to t("clear_search_label"), community_survey_house_family_folder_people_path(
          @community_survey,
          @house,
          @family_folder), class: "ui button" %>
      <% end %>
    <% else %>
      <%= link_to community_surveys_path, class: 'section' do %>
        <div class="breadcrumb__label"><%= t('community_survey.title_label') %></div>
        <div class="breadcrumb__content">(<%= @community_survey.vname %>)</div>
      <% end %>
      <i class="right angle icon divider"></i>
      <%= link_to t('house.title_label'), community_survey_houses_path(@community_survey), class: 'section' %>
      <i class="right angle icon divider"></i>
      <%= link_to t('family_folder.title_label'), 
        community_survey_house_family_folders_path(@community_survey, @house), class: 'section' %>
      <i class="right angle icon divider"></i>
      <div class="active section"><%= t 'person.title_label' %></div>
    <% end %>
  </div>
<% end %>
<% content_for :menu_content_link do %>
  <%= link_to new_community_survey_house_family_folder_person_path(@community_survey, @house, @family_folder), class: "ui button --icon-only", data: { tooltip: t('person.add_label'), position: "left center" } do %>
    <div class="icon-group">
      <i class="ico-add"></i>
      <i class="ico-person-alt"></i>
    </div>
  <% end %>
<% end %>